{
  "name": "recipe-page",
  "version": "1.0.0",
  "description": "Recipe page",
  "scripts": {
    "prepare": "husky install",
    "prettier": "prettier --write",
    "eslint": "eslint --cache --fix",
    "stylelint": "stylelint --fix",
    "format": "npm-run-all \"prettier -- '**/*.{js,html,scss,json}'\" \"eslint -- '**/*.js'\" \"stylelint -- '**/*.scss'\"",
    "watch:sass": "sass src/sass/main.scss src/style.css -w",
    "compile:sass": "sass --no-source-map src/sass/main.scss src/style.comp.css",
    "prefix:css": "postcss --use autoprefixer -b 'last 10 versions' src/style.comp.css -o src/style.prefix.css",
    "compress:css": "sass --no-source-map src/style.prefix.css src/style.css --style=compressed",
    "clean:css": "rimraf src/style.*.css src/style.*.map",
    "build:css": "npm-run-all compile:sass prefix:css compress:css clean:css"
  },
  "author": "islambeg",
  "license": "Unlicense",
  "devDependencies": {
    "autoprefixer": "^10.4.4",
    "eslint": "^8.15.0",
    "eslint-config-prettier": "^8.5.0",
    "husky": "^8.0.1",
    "lint-staged": "^12.4.1",
    "normalize.css": "^8.0.1",
    "npm-run-all": "^4.1.5",
    "postcss-cli": "^9.1.0",
    "prettier": "2.6.2",
    "rimraf": "^3.0.2",
    "sass": "^1.49.9",
    "stylelint": "^14.8.2",
    "stylelint-config-prettier-scss": "^0.0.1",
    "stylelint-config-standard-scss": "^3.0.0",
    "the-new-css-reset": "^1.6.0"
  },
  "lint-staged": {
    "*.js": "npm run eslint --",
    "*.scss": "npm run stylelint --",
    "*.{js,html,css,json}": "npm run prettier --"
  }
}
